## kbd 2.0.4

=== docs/man/man5/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# docs/man/man5/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/kbd
pkgincludedir = $(includedir)/kbd
pkglibdir = $(libdir)/kbd
pkglibexecdir = $(libexecdir)/kbd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = docs/man/man5
DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/attributes.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man5dir = $(mandir)/man5
am__installdirs = "$(DESTDIR)$(man5dir)"
NROFF = nroff
MANS = $(dist_man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/legion/scm/.kbd/kbd/config/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/legion/scm/.kbd/kbd/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/legion/scm/.kbd/kbd/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/legion/scm/.kbd/kbd/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wmissing-noreturn -Wdisabled-optimization -Wcast-align -Wshadow -Wmissing-format-attribute -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
CHECK_CFLAGS = -pthread  
CHECK_LIBS = -lcheck  
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_DOXYGEN = yes
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/legion/scm/.kbd/kbd/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = kbd
PACKAGE_BUGREPORT = gladkov.alexey@gmail.com
PACKAGE_NAME = kbd
PACKAGE_STRING = kbd 2.0.4
PACKAGE_TARNAME = kbd
PACKAGE_URL = http://kbd-project.org/
PACKAGE_VERSION = 2.0.4
PAM_LIBS = -lpam -lpam_misc
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 2.0.4
XGETTEXT = /usr/bin/xgettext
YACC = bison -y
YFLAGS = 
abs_builddir = /home/legion/scm/.kbd/kbd/docs/man/man5
abs_srcdir = /home/legion/scm/.kbd/kbd/docs/man/man5
abs_top_builddir = /home/legion/scm/.kbd/kbd
abs_top_srcdir = /home/legion/scm/.kbd/kbd
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/legion/scm/.kbd/kbd/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
dist_man_MANS = keymaps.5
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu docs/man/man5/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu docs/man/man5/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man5: $(dist_man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(dist_man_MANS)'; \
	test -n "$(man5dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.5[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
	done; }

uninstall-man5:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man5dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.5[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \

=== debian/changelog ===
kbd (2.0.4-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
      to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
      detected on 64-bit archs.  LP: #1621824.
    - debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid implicit
      declaration causing crashes with newer gcc. LP: #1631504.
 
 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Jan 2018 14:49:48 +0100

kbd (2.0.4-2) unstable; urgency=medium

  * Drop obsolete lsb-base dependency
  * Bump to debhelper compat 10 (automatic dh-autoreconf, etc)
  * Bump Standards-Version to 4.1.0
  * Remove myself from uploaders

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Sep 2017 10:33:29 +0200

kbd (2.0.4-1) unstable; urgency=medium

  * debian/gbp.conf: Add import-orig upstream-vcs-tag setting
  * debian/watch: look for .xz tarballs
  * New upstream release.
  * Update patches to apply again
  * Revert "Add debian/patches/0001-add-configure-flag-to-disable-tests.patch"
    - now part of upstream release.
  * debian/gbp.conf: switch deprecated section name gbp-pq to pq
  * Bump Standards-Version to 4.0.0
  * Use recommended https urls for Vcs-* fields

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Jul 2017 02:43:37 +0200

kbd (2.0.3-2ubuntu3) zesty; urgency=medium

  * debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid implicit
    declaration causing crashes with newer gcc. LP: #1631504.

 -- Jason Conti <jason.conti@gmail.com>  Thu, 13 Oct 2016 13:51:28 -0400

kbd (2.0.3-2ubuntu2) yakkety; urgency=medium

  * debian/patches/loadkeys_find_usable_console.diff: fix wrong type argument
    to ioctl(..., KDGKBMODE), which causes consoles to not be correctly
    detected on 64-bit archs.  LP: #1621824.    

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Sep 2016 10:53:30 -0700

kbd (2.0.3-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 23:50:28 -0400

kbd (1.15.5-1ubuntu4) wily; urgency=medium

  * debian/conffiles.d/config: Disable automatic virtual console screen blank
    - Don't blank screen on virtual consoles, because most systems running
      without X are headless and when they are connected to a monitor for
      debugging the screen should not be blank
    - LP: #869017

 -- Wesley Wiedenmeier <wesley.wiedenmeier@canonical.com>  Tue, 04 Aug 2015 18:32:04 +0000

kbd (1.15.5-1ubuntu3) wily; urgency=medium

  * Drop initramfs-tools dependency. It causes other providers of
    linux-initramfs-tool (like dracut) to become uninstallable, and is an
    ancient Ubuntu-ism which has never been forwarded, nor is it kbd's place
    to dictate whether or not you should have an initramfs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Sep 2015 12:50:53 +0200

kbd (1.15.5-1ubuntu2) vivid; urgency=medium

  * debian/control: Depend on console-setup | console-setup-mini, since
    console-setup-mini also Depends on kbd now through console-setup-linux.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Mar 2015 09:45:39 -0500

kbd (1.15.5-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
  * Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 13:25:55 +0000

=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
    linuxdoc-tools, gettext, flex, bison, pkg-config, check
Standards-Version: 4.1.0
Homepage: http://www.kbd-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kbd/kbd.git/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kbd/kbd.git

Package: kbd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, console-setup | console-setup-mini
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-setup” package.

Package: kbd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

=== debian/rules ===
#!/usr/bin/make -f

TOPDIR = $(shell pwd)
KBD = $(TOPDIR)/debian/kbd
KBD_DOC = $(KBD)/usr/share/doc/kbd
KBD_UDEB = $(TOPDIR)/debian/kbd-udeb

# build these twice, once optimized for size (for kbd-udeb)
UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb

# non-standard binaries to build
EXTRA_BINARIES = screendump setlogcons setvesablank
CONTRIB_BINARIES = codepage splitfont vcstime

# we don’t want these in /usr/bin
MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
MOVE_TO_SBIN = kbdrate setvtrgb
MOVE_TO_USR_SBIN = vcstime setvesablank

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) clean
	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
	cd contrib/ && rm -f $(CONTRIB_BINARIES)
	rm -f po/gr.po			# replaced by el.po
	# force rebuilding of generated code
	rm -f src/libkeymap/analyze.h src/libkeymap/analyze.c

override_dh_auto_configure:
	dh_auto_configure -- --enable-nls --disable-vlock

override_dh_auto_build:
	$(MAKE) -C src/libkeymap CFLAGS="-Os -g" analyze.h
	$(MAKE) -C src/libkeymap CFLAGS="-Os -g"
	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
	$(MAKE) -C src/libkeymap clean
	$(MAKE) -C src/ clean
	$(MAKE)
	$(MAKE) -C src/ $(EXTRA_BINARIES)
	$(MAKE) $(CROSS) CFLAGS="-O2 -g" -C contrib/ $(CONTRIB_BINARIES)

override_dh_auto_install:
# the kbd “core”
	$(MAKE) DESTDIR=$(KBD) install-exec
	$(MAKE) DESTDIR=$(KBD) -C po/ install
	$(MAKE) DESTDIR=$(KBD) -C docs/man/ install
# some additional utilities
	install -m755 $(addprefix src/,$(EXTRA_BINARIES)) $(KBD)/usr/bin/
	install -m755 $(addprefix contrib/,$(CONTRIB_BINARIES)) $(KBD)/usr/bin/
	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
# move everything where it belongs
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_BIN)) $(KBD)/bin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_SBIN)) $(KBD)/sbin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
# initramfs
	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
# prepare udeb
	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done

override_dh_installdocs:
	dh_installdocs
	install -d $(KBD_DOC)/charsets
	cp docs/doc/iso8859.info docs/doc/iso*.txt docs/doc/cp*.txt $(KBD_DOC)/charsets

=== debian/watch ===
version=3
http://ftp.altlinux.org/pub/people/legion/kbd/kbd-([0-9.]+)\.tar\.xz

## kbd 2.3.0

=== debian/changelog ===
kbd (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Revert "debian/rules: avoid shipping libtool scripts in udeb"
  * Disable libkeymap (Closes: #969965)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Oct 2020 12:13:12 +0200

kbd (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: clean all udeb built files
  * debian/rules: avoid shipping libtool scripts in udeb (Closes: #969965)
  * Support the noudeb build profile

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 21:20:45 +0200

kbd (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: switch to github url
  * New upstream release.
  * Revert "Cherry-pick const fixup from upstream"
  * Revert "Cherry-pick upstream format-string fix"
  * Revert "Cherry-pick upstream fix for CFLAGS"
  * Massage remaining debian/patches to apply again
  * Build libkfont for udeb (needed by loadkeys)
  * Cherry-pick no install libtswrap internal library

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Sep 2020 19:25:51 +0200

kbd (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Andreas Henriksson ]
  * debian/gbp.conf: upstream tags now have v prefix
  * New upstream release.
    - commit 12c4be5d fixes build with gcc-10 (Closes: #957398)
  * Fix d/p/Change-misleading....-XLATE-mode.patch to apply
  * Refresh remaining patches
  * Cherry-pick const fixup from upstream
  * Use --enable-libkeymap configure flag
  * Build libcommon/libkbdfile as needed by libkeymap
  * Cherry-pick upstream fix for CFLAGS
  * Cherry-pick upstream format-string fix
  * Avoid shipping any libtool files
  * Drop obsolete upgrade maintscript code
  * debian/gbp.conf: Remove build-area setting

  lintian-brush fixes:
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entry 0.91-13.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 21 Aug 2020 13:52:04 +0200

kbd (2.0.4-4) unstable; urgency=medium

  * Team upload.
  * Use dpkg/architecture.mk instead of manually setting DEB_* variables
  * Stop creating open (-> openvt) compatibility symlink (Closes: #732796)
  * Bump Standards-Version to 4.1.5

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 17:58:59 +0200

kbd (2.0.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields to point at salsa.debian.org

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 May 2018 19:22:04 +0200

=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
    linuxdoc-tools, gettext, flex, bison, pkg-config, check
Standards-Version: 4.1.5
Homepage: http://www.kbd-project.org/
Vcs-Git: https://salsa.debian.org/debian/kbd.git
Vcs-Browser: https://salsa.debian.org/debian/kbd

Package: kbd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: console-setup | console-data
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-data” package.

Package: kbd-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/kbd-$1\.tar\.gz/ \
  https://github.com/legionus/kbd/tags .*/v?(\d\S+)\.tar\.gz

## kbd 2.5.1

=== debian/changelog ===
kbd (2.5.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP: #1621824.

  * Removed obsolete patches/changes:
    -  d/p/fix_use_after_free.patch to clean up a use-after-free of
       pipe_cmd, now merged upstream.

  * New upstream release drops deprecated ioctls removed in Linux v5.12.
    LP: #1996619.

 -- dann frazier <dannf@ubuntu.com>  Tue, 15 Nov 2022 17:21:19 -0700

kbd (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Unfuzz debian/patches/Miscellaneous-manpage-corrections-and-additions.patch
  * Unfuzz debian/patches/Check-for-X-in-kbd_mode.patch
  * Revert "Cherry-pick no install libtswrap internal library"
  * Let `gbp pq <import|export>` refresh patches
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * debian/copyright: Update paths of moved files

  [ nick black ]
  * refer to deallocvt(8), not disalloc(8) (Closes: #989525)

  [ Osamu Aoki ]
  * update d/control for console-setup (Closes: #998086)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Oct 2022 21:24:51 +0200

kbd (2.3.0-3ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:06:40 +0100

kbd (2.3.0-3ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:36 +0200

kbd (2.3.0-3ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:16 +0100

kbd (2.3.0-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP: #1621824.

  * Added d/p/fix_use_after_free.patch to clean up a use-after-free of
    pipe_cmd

  * Removed obsolete patches/changes:
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - debian/patches/loadkeys_ckbcomp.diff: Include xmalloc.h to avoid
      implicit declaration causing crashes with newer gcc. LP: #1631504.
    - kbd_mode: Add -f option and don't perform dangerous mode switches
      without it. In the back-ported fix kbd_mode exits with success, even
      when the dangerous mode change is skipped, just prints an error, to not
      break old scripts. (LP: #520546)
    - Add d/p/fix-duplicate-progname.patch to fix duplicate progname linker
      error under gcc-10 (LP: #1891316)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 11 Oct 2020 15:45:31 +0000

kbd (2.0.4-4ubuntu4) groovy; urgency=medium

  * Add d/p/fix-duplicate-progname.patch to fix duplicate progname linker
    error under gcc-10 (LP: #1891316)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 12 Aug 2020 12:01:20 +0100

kbd (2.0.4-4ubuntu3) groovy; urgency=medium

  * No change rebuild against new CET ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 18:27:45 +0100

kbd (2.0.4-4ubuntu2) eoan; urgency=medium

  * kbd_mode: Add -f option and don't perform dangerous mode switches without
    it. In the back-ported fix kbd_mode exits with success, even when the
    dangerous mode change is skipped, just prints an error, to not break old
    scripts. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 09 May 2019 17:22:51 +0200

kbd (2.0.4-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Add setvtrgb to kbd-udeb.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Added initramfs hook to have setfont/loadkeys available in initramfs.


=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
    linuxdoc-tools, gettext, flex, bison, pkg-config, check
Standards-Version: 4.1.5
Homepage: http://www.kbd-project.org/
Vcs-Git: https://salsa.debian.org/debian/kbd.git
Vcs-Browser: https://salsa.debian.org/debian/kbd

Package: kbd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, console-setup | console-setup-mini
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install the “console-setup” package which
 sets up console font and keymap data files.

Package: kbd-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

## kbd 2.6.4

=== debian/changelog ===
kbd (2.6.4-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:02:08 +0000

kbd (2.6.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055065). Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Add setvtrgb to kbd-udeb (LP #730672).

  * Dropped unnecessary changelog entries
    - Added initramfs hook to have setfont/loadkeys available in initramfs.
      + This is basically a duplicate of:
        Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - debian/patches/loadkeys_find_usable_console.diff: fix wrong type
      argument to ioctl(..., KDGKBMODE), which causes consoles to not be
      correctly detected on 64-bit archs.  LP #1621824.
      + This was a bug in an Ubuntu-specific patch so irrelevant to our delta
        with Debian.
    - Fix incorrect keymap sanity check in loadkeys_ckbcomp.diff.
      + This was a bug in an Ubuntu-specific patch so irrelevant to our delta
        with Debian.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 27 Feb 2024 10:52:03 +0100

kbd (2.6.4-2) unstable; urgency=medium

  * Team upload (to unstable).

  [ cacin ]
  * Use https in homepage url (Closes: #1060324)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Jan 2024 18:45:12 +0100

kbd (2.6.4-1) experimental; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Fix failure to build twice in a row (Closes: #1047644)

  [ cacin ]
  * move files to /usr for DEP17 (Closes: #1060074)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Jan 2024 11:51:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
     linuxdoc-tools, gettext, flex, bison, pkg-config, check
 Standards-Version: 4.1.5
-Homepage: http://www.kbd-project.org/
+Homepage: https://kbd-project.org/
 Vcs-Git: https://salsa.debian.org/debian/kbd.git
 Vcs-Browser: https://salsa.debian.org/debian/kbd

## kbd 2.7.1

=== debian/changelog ===
kbd (2.7.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098852).
    Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not available.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - debian/control: Depend on console-setup | console-setup-mini, since
      console-setup-mini also Depends on kbd now through console-setup-linux.
    - Add setvtrgb to kbd-udeb. (LP #730672)
    Dropped changes:
    - d/p/Add-missing-headers.patch: those headers are now added by Debian

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 19 Feb 2025 13:10:53 +0100

kbd (2.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/ppc-keycode0-test.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 20:11:27 +0100

kbd (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 11:40:06 +0100

kbd (2.7~rc1-1) experimental; urgency=medium

  * Team upload.
  * debian/watch: Mangle rc versions to ~rc
  * debian/gbp: Rename branches to /latest according to DEP14
  * New upstream release candidate.
  * Upload to experimental.
  * Update Misc...patch to apply
  * Revert "Cherry-pick patches from upstream fixing gcc14 FTBFS"
  * debian/kbd.docs: Drop outdated docs removed upstream
  * debian/copyright: Update renamed files

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Nov 2024 20:08:52 +0100

kbd (2.6.4-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream fixing gcc14 FTBFS (Closes: #1075109)
  * Build-dep on pkgconf instead of pkg-config

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 24 Sep 2024 03:12:26 +0200

kbd (2.6.4-2ubuntu3) oracular; urgency=medium

  * d/p/Add-missing-headers.patch: add a patch to fix FTBFS with GCC 14
    (LP: #2081329).

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 11:27:01 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13),
-    linuxdoc-tools, gettext, flex, bison, pkg-config, check
+    linuxdoc-tools, gettext, flex, bison, pkgconf, check
 Standards-Version: 4.1.5
 Homepage: https://kbd-project.org/
 Vcs-Git: https://salsa.debian.org/debian/kbd.git

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 CONTRIB_BINARIES = codepage splitfont vcstime
 
 # we don’t want these in /usr/bin
-MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
-MOVE_TO_SBIN = kbdrate setvtrgb
-MOVE_TO_USR_SBIN = vcstime setvesablank
+MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate setvtrgb
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
@@ -32,19 +30,33 @@
 	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
 	cd contrib/ && rm -f $(CONTRIB_BINARIES)
 	rm -f po/gr.po			# replaced by el.po
+	# cleanup modified or leftover files from previous build
+	! test -p tests/testsuite.dir/at-job-fifo || rm -f tests/testsuite.dir/at-job-fifo
+	rm -f po/*.gmo po/stamp-po
 	# force rebuilding of generated code
 	rm -f src/libkeymap/analyze.h src/libkeymap/analyze.c
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-nls --disable-vlock
+	dh_auto_configure -- \
+		--enable-nls \
+		--disable-libkeymap \
+		--disable-vlock
 
 override_dh_auto_build:
+ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
 	$(MAKE) -C src/libkeymap CFLAGS="-Os -g" analyze.h
+	$(MAKE) -C src/libcommon CFLAGS="-Os -g"
+	$(MAKE) -C src/libkbdfile CFLAGS="-Os -g"
 	$(MAKE) -C src/libkeymap CFLAGS="-Os -g"
+	$(MAKE) -C src/libkfont CFLAGS="-Os -g"
 	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
 	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
 	$(MAKE) -C src/libkeymap clean
+	$(MAKE) -C src/libcommon clean
+	$(MAKE) -C src/libkbdfile clean
+	$(MAKE) -C src/libkfont clean
 	$(MAKE) -C src/ clean
+endif
 	$(MAKE)
 	$(MAKE) -C src/ $(EXTRA_BINARIES)
 	$(MAKE) $(CROSS) CFLAGS="-O2 -g" -C contrib/ $(CONTRIB_BINARIES)
@@ -59,13 +71,15 @@
 	install -m755 $(addprefix contrib/,$(CONTRIB_BINARIES)) $(KBD)/usr/bin/
 	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
 # move everything where it belongs
-	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_BIN)) $(KBD)/bin/
-	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_SBIN)) $(KBD)/sbin/
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
 # initramfs
 	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
+ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
 	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
+endif
+# drop libtool files
+	find $(KBD) -name '*.la' -delete
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4
opts=filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
  uversionmangle=s/(.*)-((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/ \
  https://github.com/legionus/kbd/tags .*/v?(\d\S+)@ARCHIVE_EXT@

## kbd 2.9.0

=== debian/changelog ===
kbd (2.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/ppc-keycode0-test.patch, fixed upstream.
  * Drop debian/patches/Support-KT_DEAD2-diacritics.patch, fixed upstream.

  [ Michael Biebl ]
  * kbd-udeb: Move binaries to canonical location in /usr. (Closes: #1122352)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 14 Dec 2025 10:38:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 KBD_UDEB = $(TOPDIR)/debian/kbd-udeb
 
 # build these twice, once optimized for size (for kbd-udeb)
-UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb
+UDEB_BINARIES = loadkeys kbd_mode setfont
 
 # non-standard binaries to build
 EXTRA_BINARIES = screendump setlogcons setvesablank
 CONTRIB_BINARIES = codepage splitfont vcstime
 
 # we don’t want these in /usr/bin
-MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate setvtrgb
+MOVE_TO_USR_SBIN = vcstime setvesablank kbdrate
 
 include /usr/share/dpkg/architecture.mk
 
@@ -72,11 +72,9 @@
 	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
 # move everything where it belongs
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
-# initramfs
-	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
 ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
-	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
+	for ITEM in $(UDEB_BINARIES); do install -D -m755 src/$$ITEM-udeb $(KBD_UDEB)/usr/bin/$$ITEM; done
 endif
 # drop libtool files
 	find $(KBD) -name '*.la' -delete
